#!/bin/sh -e

NAME="transmission-daemon"

if [ -z "$APKG_PKG_DIR" ]; then
    APKG_PKG_DIR=/usr/local/AppCentral/transmission 
fi  

DOWNLOAD_BASE_DIR=/share/Download
DAEMON="$APKG_PKG_DIR/transmission-daemon"
USER=admin
STOP_TIMEOUT=10
ARGS="-g $DOWNLOAD_BASE_DIR/.transmission"

export PATH="${PATH:+$PATH:}/sbin"
export TRANSMISSION_HOME="$APKG_PKG_DIR"
export TRANSMISSION_WEB_HOME="$APKG_PKG_DIR/web"
#export LD_LIBRARY_PATH="$APKG_PKG_DIR/lib\:$LD_LIBRARY_PATH"

. /lib/lsb/init-functions

start_daemon () {
    start-stop-daemon --start --chuid $USER --exec "$DAEMON" -- $ARGS
}

case "$1" in
    start)
        echo "Starting $NAME"

        start_daemon
        ;;
    stop)
        echo "Stopping $NAME"

        start-stop-daemon --stop --quiet \
            --exec "$DAEMON" --retry $STOP_TIMEOUT \
            --oknodo
        ;;
    reload)
        echo "Reloading $NAME"
        start-stop-daemon --stop --quiet \
            --exec "$DAEMON" \
            --oknodo --signal 1
        ;;
    restart|force-reload)
        echo "Restarting $NAME"
        start-stop-daemon --stop --quiet \
            --exec "$DAEMON" --retry $STOP_TIMEOUT \
            --oknodo

        start_daemon
        ;;
    *)
        echo "Usage: $0 {start|stop|reload|force-reload|restart}"
        exit 2
        ;;
esac

exit 0
